std::_Mem_fn< _Res(_Class::*)(_ArgTypes...)> Class Template Reference
Inheritance diagram for std::_Mem_fn< _Res(_Class::*)(_ArgTypes...)>:
[legend]

## Public Types

typedef _Res | result_type

## Public Member Functions

| _Mem_fn (_Functor __pmf)
template<typename... _Args, typename _Req = _RequireValidArgs<_Args...>>
_Res | operator() (_Class &__object, _Args &&...__args) const
template<typename... _Args, typename _Req = _RequireValidArgs<_Args...>>
_Res | operator() (_Class &&__object, _Args &&...__args) const
template<typename... _Args, typename _Req = _RequireValidArgs<_Args...>>
_Res | operator() (_Class *__object, _Args &&...__args) const
template<typename _Tp , typename... _Args, typename _Req = _RequireValidArgs2<_Tp, _Args...>>
_Res | operator() (_Tp &&__object, _Args &&...__args) const
template<typename _Tp , typename... _Args, typename _Req = _RequireValidArgs3<_Tp, _Args...>>
_Res | operator() (reference_wrapper< _Tp > __ref, _Args &&...__args) const

## Detailed Description

### template<typename _Res, typename _Class, typename... _ArgTypes>
class std::_Mem_fn< _Res(_Class::*)(_ArgTypes...)>

Implementation of `mem_fn` for member function pointers.

Definition at line 509 of file functional.

The documentation for this class was generated from the following file:

- functional